/**
 * \file cf_util.h
 *
 * \author myusgun <myusgun@gmail.com>
 *
 * \brief 유틸
 *
 * \example util.c
 */
#ifndef __CF_UTIL_H__
#define __CF_UTIL_H__

#include "cf_base.h"

#define CF_UTIL_DATETIME_LENGTH	(sizeof ("0000-00-00 00:00:00.000") - 1)

typedef struct __cf_util_datetime__
{
	int year;
	int month;
	int day;
	int week; /* SUN:0 ~ SAT:6 */

	int hour;
	int min;
	int sec;
	int usec;
} CF_UTIL_DATETIME;

#ifdef __cplusplus
extern "C" {
#endif

CF_EXPORT int
CF_Util_GetSystemError		(void);

CF_EXPORT int
CF_Util_GetCurrentTime		(CF_UTIL_DATETIME * dt);

CF_EXPORT int
CF_Util_GetTimeString		(const CF_UTIL_DATETIME	* dt,
							 char					* str);

#ifdef __cplusplus
}
#endif

#endif // #ifndef __CF_UTIL_H__
